## hatop 0.7.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HATop.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HATop.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
hatop (0.7.7-1) unstable; urgency=low

  * New upstream release.

 -- John Feuerstein <john@feurix.com>  Tue, 05 Oct 2010 17:21:11 +0000

hatop (0.7.6-1) unstable; urgency=low

  * Initial release (Closes: #593496)

 -- John Feuerstein <john@feurix.com>  Sat, 21 Aug 2010 18:52:40 +0000

=== debian/control ===
Source: hatop
Section: admin
Priority: extra
Maintainer: John Feuerstein <john@feurix.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://feurix.org/projects/hatop/
Vcs-Git: git://labs.feurix.org/feurix/admin/hatop.git
Vcs-Browser: http://labs.feurix.org/admin/hatop/

Package: hatop
Architecture: all
Depends: ${misc:Depends}, python (>= 2.4)
Description: interactive ncurses client for haproxy
 HATop is an interactive ncurses client and real-time monitoring, statistics
 displaying tool for the HAProxy TCP/HTTP load balancer.
 .
 HATop's appearance is similar to top(1). It supports various modes for
 detailed statistics of all configured proxies and services in near realtime.
 In addition, it features an interactive CLI for the haproxy unix socket.
 This allows administrators to control the given haproxy instance (change
 server weight, put servers into maintenance mode, ...) directly out of hatop
 (using keybinds or the CLI) and monitor the results immediately.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean

build:
# We have nothing to do by default.

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_install

binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman man/*
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary

## hatop 0.8.0

=== debian/changelog ===
hatop (0.8.0-1) unstable; urgency=medium

  * Taking over package maintenance within the python apps team,
    re-introducing package into Debian.
  * Switching to new/active upstream.

  * [1cbae84] Update upstream source from tag 'upstream/0.8.0'
    Update to upstream version '0.8.0'
    with Debian dir c51a3735faf7698ac83fd4d89f2b7db61899a0b5

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 19 Jan 2021 08:00:39 +0100

=== debian/watch ===
version=3
https://github.com/jhunt/hatop/releases /jhunt/hatop/archive/v(.*)\.tar\.gz

## hatop 0.8.2

=== debian/changelog ===
hatop (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * Upstream metadata
  * Run autopkgtest for all supported Python3 versions
  * Mark regexps as raw string to work with Python3.12
    Closes: #1061802

 -- Andreas Tille <tille@debian.org>  Wed, 14 Feb 2024 10:19:03 +0100

hatop (0.8.2-1) unstable; urgency=medium

  * [c778a8f] New upstream version 0.8.2

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 12 Dec 2022 14:28:25 +0100

=== debian/control ===
Source: hatop
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/hatop
Vcs-Git: https://salsa.debian.org/python-team/packages/hatop.git
Homepage: https://github.com/jhunt/hatop
Rules-Requires-Root: no

Package: hatop
Architecture: all
Depends: ${misc:Depends},
         python3
Suggests: haproxy
Description: interactive ncurses client for haproxy
 HATop is an interactive ncurses client and real-time monitoring, statistics
 displaying tool for the HAProxy TCP/HTTP load balancer.
 .
 HATop's appearance is similar to top(1). It supports various modes for
 detailed statistics of all configured proxies and services in near realtime.
 In addition, it features an interactive CLI for the haproxy unix socket.
 This allows administrators to control the given haproxy instance (change
 server weight, put servers into maintenance mode, ...) directly out of hatop
 (using keybinds or the CLI) and monitor the results immediately.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

override_dh_auto_configure:
	# nothing to do

override_dh_auto_build:
	# nothing to do

%:
	dh $@

=== debian/tests/control ===
Tests: run-hatop
Depends: @, haproxy, python3-all
Restrictions: needs-root

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/jhunt/hatop/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
